package com.yd.api.practitioner.vo.payscale;

public class PayScaleInfo {
    private Long monShId;
    private String salMstId;
    private String drpTitleCode;
    private String monDtlType;
    private String monDtlItem;
    private String monDtlPeriod;
    private Double monDtlAmount;
    private Double monDtlRAmount;
    private String createDate;
    private String createUser;
    private String pdfOssPath;
    private String loginName;
    private String years;
    private String month;
    private String isBasic;

    public Long getMonShId() {
        return monShId;
    }

    public void setMonShId(Long monShId) {
        this.monShId = monShId;
    }

    public String getSalMstId() {
        return salMstId;
    }

    public void setSalMstId(String salMstId) {
        this.salMstId = salMstId;
    }

    public String getDrpTitleCode() {
        return drpTitleCode;
    }

    public void setDrpTitleCode(String drpTitleCode) {
        this.drpTitleCode = drpTitleCode;
    }

    public String getMonDtlType() {
        return monDtlType;
    }

    public void setMonDtlType(String monDtlType) {
        this.monDtlType = monDtlType;
    }

    public String getMonDtlItem() {
        return monDtlItem;
    }

    public void setMonDtlItem(String monDtlItem) {
        this.monDtlItem = monDtlItem;
    }

    public Double getMonDtlAmount() {
        return monDtlAmount;
    }

    public void setMonDtlAmount(Double monDtlAmount) {
        this.monDtlAmount = monDtlAmount;
    }

    public Double getMonDtlRAmount() {
        return monDtlRAmount;
    }

    public void setMonDtlRAmount(Double monDtlRAmount) {
        this.monDtlRAmount = monDtlRAmount;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getMonDtlPeriod() {
        return monDtlPeriod;
    }

    public void setMonDtlPeriod(String monDtlPeriod) {
        this.monDtlPeriod = monDtlPeriod;
    }

    public String getPdfOssPath() {
        return pdfOssPath;
    }

    public void setPdfOssPath(String pdfOssPath) {
        this.pdfOssPath = pdfOssPath;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getYears() {
        return years;
    }

    public void setYears(String years) {
        this.years = years;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    @Override
    public String toString() {
        return "PayScaleInfo{" +
                "monShId=" + monShId +
                ", salMstId='" + salMstId + '\'' +
                ", drpTitleCode='" + drpTitleCode + '\'' +
                ", monDtlType='" + monDtlType + '\'' +
                ", monDtlItem='" + monDtlItem + '\'' +
                ", monDtlPeriod='" + monDtlPeriod + '\'' +
                ", monDtlAmount=" + monDtlAmount +
                ", monDtlRAmount=" + monDtlRAmount +
                ", createDate='" + createDate + '\'' +
                ", createUser='" + createUser + '\'' +
                ", pdfOssPath='" + pdfOssPath + '\'' +
                ", loginName='" + loginName + '\'' +
                ", years='" + years + '\'' +
                ", month='" + month + '\'' +
                '}';
    }

    public String getIsBasic() {
        return isBasic;
    }

    public void setIsBasic(String isBasic) {
        this.isBasic = isBasic;
    }
}
